
import systemApi from "@/common/api/api-system.js";
import { getHospital } from '@/common/api/baseInfo'
async function loadDict(name){
    var data = []
    var res = await systemApi.findDict({
        name
    }).catch(err=>{
        console.error(err)
        return data
    })
    if(res&&res.status==200){
        res.detailModelList.forEach(v => {
            data.push({
                label: v.dictValue,
                value: v.dictCode
            })
        });
    }
    return data
}
async function getOrgInfoList(){
    var data = []
    var res = await getHospital().catch(err=>{
        console.error(err)
        return data
    })
    if(res&&res.status==200){
        res.detailModelList.forEach(v => {
            data.push({
                label: v.name,
                value: v.code
            })
        });
    }
    return data
}

export default function(config){
    return new Promise((resolve, reject)=>{
        switch(config.type){
            case 'drugStoreOpenControl': ;
            case 'drugStoreStatus': resolve(loadDict(config.type)); return;
            case 'orgList': resolve(getOrgInfoList()); return;
        }
    })
}